Bug 442718 - lm_sensors buildreq needs to be versioned
Summary: lm_sensors buildreq needs to be versioned
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: net-snmp   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jan Safranek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-16 12:45 UTC by Matthew Miller
Modified: 2008-04-24 13:57 UTC (History)
0 users

Fixed In Version: net-snmp-5_4_1-15_fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 13:57:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Miller 2008-04-16 12:45:49 UTC
I'm trying to rebuild net-snmp on a hacked-up CentOS 5 machine, which as
lm_sensors-2.10.0-3.1.

This fails with

hardware/sensors/lmsensors_v3.c: In function 'netsnmp_sensor_arch_load':
hardware/sensors/lmsensors_v3.c:21: error: expected '=', ',', ';', 'asm' or '__a
ttribute__' before '*' token
hardware/sensors/lmsensors_v3.c:21: error: 'data' undeclared (first use in this 
function)
hardware/sensors/lmsensors_v3.c:21: error: (Each undeclared identifier is report
ed only once
hardware/sensors/lmsensors_v3.c:21: error: for each function it appears in.)
hardware/sensors/lmsensors_v3.c:22: error: expected '=', ',', ';', 'asm' or
'__attribute__' before '*' token
hardware/sensors/lmsensors_v3.c:22: warning: ISO C90 forbids mixed declarations
and code
hardware/sensors/lmsensors_v3.c:22: error: 'data2' undeclared (first use in this
function)
hardware/sensors/lmsensors_v3.c:23: warning: ISO C90 forbids mixed declarations
and code
hardware/sensors/lmsensors_v3.c:26: error: too many arguments to function
'sensors_get_detected_chips'

etc., etc.

Updating to lm_sensors-3.0.1-5 from rawhide cures this.

Comment 1 Jan Safranek 2008-04-21 08:17:11 UTC
Removing the net-snmp-5.4.1-sensors3.patch would cure the net-snmp compilation
with old lm_sensors in a better way. Anyway, I'll fixed the buildreq.


Note You need to log in before you can comment on or make changes to this bug.